@view-transition {
	navigation: auto;
	}
/* :root {
	--text-color: #fff;
	--color-background: #191919;
	} */
.zalando-sans-<uniquifier> {
	font-family: "Zalando Sans", sans-serif;
	font-optical-sizing: auto;
	font-weight: <weight>;
	font-style: normal;
	font-variation-settings:
	"wdth" 100;
	}

html summary::-webkit-details-marker {
  display: none;
  }
* {
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	font-family: 'Zolando Sans', 'SF Pro Text', 'SF Pro Icons', 'AOS Icons', 'Helvetica Neue',
	Helvetica, Arial, sans-serif, system-ui;
	font-optical-sizing: auto;
	padding: 0;
	margin: 0;
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: subpixel-antialiased;
	-moz-osx-font-smoothing: subpixel-antialiased;
	font-smoothing: subpixel-antialiased;
	font-synthesis: none;
	-moz-font-feature-settings: 'kern';
	shape-rendering: geometricPrecision;
	direction: ltr;
	line-height: 100%;
	font-weight: <weight>;
	}
ul,ol,li {
	list-style: none;
	}
html {
	position: relative;
	}	
body,html {
	height: 100%;
	}
body {
	font-size: 13px;
	animation: bugfix infinite 1s;
	-webkit-animation: bugfix infinite 1s;
	min-width: 375px;
	position: relative;
	width: 100%;
	line-height: 100%;
	-webkit-overflow-scrolling: touch;
	min-height: 100dvh;
	background: canvas;
	}	
svg {
	shape-rendering: geometricPrecision;
	}		
fieldset {
	outline: 0;
	border: 0;
	}	
*,
*:after,
*:before {
	box-sizing: border-box;
}

:root {
	--font-size: clamp(2rem, 8vmin + 1rem, 3.5rem);
	--accent: hsl(8 100% 55%);
	--header-height: 100dvh;
	--color-field-notes: hsla(188,100%,46%,1);
	}
:root[data-theme='light'] {
	--base: 0.3;
	--line: color-mix(in lch, canvasText 20%, transparent);
	--overlay: hsla(0,0%,0%,.70);
	color-scheme: light only;
	}
:root[data-theme='dark'] {
	--line: color-mix(in lch, canvasText 15%, transparent);
	--base: 0.4;
	--overlay: color-mix(in lch, canvas 70%, transparent);
	color-scheme: dark only;
	}

html:not(:focus-within) {
	scroll-behavior: smooth;
}



body::before {
	--size: 60px;
	content: '';
	height: 100dvh;
	width: 100vw;
	position: fixed;
	background: linear-gradient(90deg, transparent 1px var(--size)) 50% 50% / var(--size) var(--size),
		linear-gradient(transparent 1px var(--size)) 50% 50% / var(--size) var(--size);
	-webkit-mask: linear-gradient(-15deg, transparent 40%, white);
			mask: linear-gradient(-15deg, transparent 40%, white);
/* background: linear-gradient(180deg, #000000 0%, #121212 100%); */
	top: 0;
	transform-style: flat;
	pointer-events: none;
	z-index: -1;
}

:is(h1, h2) {
	font-size: clamp(1rem, 3vw + 1rem, 3.6rem);
}
.bb-logo-front {
	width: 20dvw;
	height: 100%;
	position: relative;
	}
[data-theme='light'] .bb-logo-front {
	background: url("../../resources/images/blackbird-logo-vertical-white.svg")  center center /100% auto no-repeat;
	}
[data-theme='dark'] .bb-logo-front {
	background: url("../../resources/images/blackbird-logo-vertical-white.svg")  center center /100% auto no-repeat;
	}	
.into-the-light {
	width: 25dvw;
	position: absolute;
	bottom: 8rem;
	left: 50%;
	transform: translateX(-50%);
	}	
.into-the-light img {
	filter: brightness(150%);
	}	
[data-theme='light'] .into-the-light img {
	filter: brightness(150%);
	}	
/* .content span[data-index="18"] {
	display: flow;
	visibility: hidden;
	height: .7em;
	}	 */
/* .content span[data-index="4"] {
	color: #0086ff;
	}
.content span[data-index="25"],
.content span[data-index="26"] {
	color: #0abf00;
	}		
.content span[data-index="38"] {
	color: #f70065;
	}	
.content span[data-index="21"] {
	color: #b52a79;
	}	 */
.what-is-bb {
	width: 100%;
	padding: 0 20%;
	place-items: center;
	margin: 0 auto;
	line-height: 1;
	font-size: 2em;
	font-weight: 300;		
	text-align: center;
	}
.blog-title-snip {
	font-weight: 600;
	font-size: clamp(1.9rem, 3vw + 1rem, 3rem);
	line-height: 200%;
	font-family: "Beth Ellen", cursive;
	font-weight: 400;
	font-style: normal;	 
	top: 0;
	padding: 2rem 0;
	/* max-width: calc(100% - 35rem); */
	width: 40ch;
	display: grid;
	/* place-items: center; */
	margin: 0 auto;  
	}	
a.see-blog {
	font-size: 1.4rem;
	color: #00C9EA;
	font-weight: 400;
	text-decoration: none;
	display: block;
	text-decoration: none;
	display: flex;
	flex-flow: row;
	grid-gap: 10px;
	align-items: center;
	margin: 30px 0 0 0;
	}	
a.see-blog div {
	padding-top: 8px;
	}	
a.see-blog img {
	width: 170px;
	}	
.we-are-blackbird {
	text-align: center;
	display: flex;
	flex-flow: column;
	align-items: center;
	/* width: 150ch; */
	padding: 5em 0;
	}
.we-are-blackbird .image {
	width: 20dvw;
	margin-bottom: 50px;
	}	
[data-theme='light'] .we-are-blackbird .image {
	filter: invert(100);
	}	
section.blog-snip,
section.wab {
	border-top: 1px dotted #666;
	}	

ul.front-links {
	position: absolute;
	top: 2rem;
	left: 50%;
	translate: -50% 0;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
	column-gap: 14px;
	width: 100%;
	justify-content: center;
	text-align: center;	
	}
ul.front-links a {
	color: #dedede;
	text-decoration: none;
	font-size: 1.1rem;
	font-weight: 400;
	letter-spacing: .03em;
	transition: background .4s ease-in-out;
	background: transparent;
	padding: .55em 1.5em;	
	border-radius: 30px;
	}
ul.front-links a:hover {
	background: hsla(0,0%,0%,.5);
	color: #fff;
	backdrop-filter: blur(15px);
	}	
ul.front-links a[href='#fieldnotes']:hover {
	background: var(--color-field-notes);
	color: black;
	}	
	
[aria-hidden='true'][href='#read'] {
	position: absolute;
	bottom: 2rem;
	left: 50%;
	translate: -50% 0;
	width: 48px;
	aspect-ratio: 1;
	display: grid;
	place-items: center;
	color: canvasText;
	}
[data-theme='light'] [aria-hidden='true'][href='#read'] svg {
	filter: invert(.5);
	}		
[aria-hidden='true'][href='#read'] svg {
	width: 75%;
	}


.sr-only {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	white-space: nowrap;
	border-width: 0;
}

[data-split] {
	font-size: var(--font-size);
	font-weight: 500;
	line-height: 120%;
}

header {
	min-height: var(--header-height);
	display: grid;
	place-items: center;
	position: relative;
	transform-origin: 50% 0%;
}

h1 {
	display: flex;
	flex-direction: column;
	justify-content: center;
	text-align: center;
}

h1 > span:first-of-type {
	font-size: 0.35em;
	color: var(--accent);
	text-transform: uppercase;
}

header > section {
	position: relative;
	top: 0;
	min-height: var(--header-height);
	width: 100%;
	translate: 0 -100%;
	display: grid;
	place-items: center;
	background: var(--overlay);
}

header > section::before {
	content: '';
	background: var(--overlay);
	position: absolute;
	inset: 0;
	translate: 0 100%;
}

video {
	position: sticky;
	top: 0;
	height: var(--header-height);
	width: 100vw;
	-o-object-fit: cover;
	   object-fit: cover;
	background: canvas;
}

footer {
	text-align: center;
	padding: 2rem;
	color: #666;
}

section:not(.reader) {
	min-height: 100dvh;
	display: grid;
	place-items: center;

}

.content {
	position: sticky;
	top: 0;
	min-height: 100dvh;
	width: 100ch;
	width: 150ch;
	padding: 2rem 0;
	max-width: calc(100% - 4rem);
	display: grid;
	place-items: center;
	margin: 0 auto;
	line-height: 1;
}

.content span {
	opacity: calc(var(--base) + (var(--active)));
	transition: opacity 0.5s;
}

.reader {
	--thick: 0px;
	outline: var(--thick) dashed var(--accent);
	outline-offset: calc(var(--thick) * -1);

	/* The trick here is that --ppc could be dynamic	*/
	height: calc(
		((var(--ppc) * var(--content-length) + (var(--pad) * var(--buffer))) * 1px) + 100dvh
	);
}


.founders-container {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	width: 95dvw;
	max-width: 1200px;
	grid-column-gap: 2dvw;
	justify-content: center;
	padding: 0 calc(10dvw - 10px);
	}
.founder {
	display: flex;
	grid-gap: 5px;
	flex-flow: column;
	}
.founder h1 {
	font-weight: 600;
	font-size: 1.1rem;
	line-height: 140%;
	}
.founder h2 {
	font-weight: 400;
	font-size: .9rem;
	color: #999;
	line-height: 140%;	
	}
.photo {
	background: var(--mc-color-white);
	max-width: 760px;
	position: relative;
	display: flex;
	border-radius: var(--border-radius-40);
	margin: 0 0 15px 0;
	}
.photo:before {
	height: 0;
	content: '';
	display: block;
	padding-bottom: 100%;
	}			
.photo img {
	border-radius: .75em;
	position: absolute;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
	}	
.bio {
	padding: 15px 15px;
	color: #666;
	} 	
	
.soon {
	display: flex;
	justify-content: center;
	font-size: 1.3rem;
	font-weight: 300;
	width: 100%;
	color: #999;
	}	
	
	
	
	
	
h2 span {
	color: var(--accent);
}

@supports (animation-timeline: scroll()) {
	@property --active {
		inherits: true;
		initial-value: 0;
		syntax: '<number>';
	}

	.reader {
		view-timeline: --reader block;
	}

	.content span {
		-webkit-animation: activate both steps(1);
				animation: activate both steps(1);
		animation-timeline: --reader;
		animation-range: contain calc(((var(--start, 0) * var(--ppc)) * 1px))
			contain calc(((var(--end, 0) * var(--ppc)) * 1px));
	line-height: 125%;
	}

	@-webkit-keyframes activate {
		to {
			--active: 1;
		}
	}

	@keyframes activate {
		to {
			--active: 1;
		}
	}

	header {
		-webkit-animation: scale-down both ease-in;
				animation: scale-down both ease-in;
		animation-timeline: view();
		animation-range: exit-crossing;
		view-timeline: --header;
	}

	@-webkit-keyframes scale-down {
		to {
			scale: 0.8 0.8;
		}
	}

	@keyframes scale-down {
		to {
			scale: 0.8 0.8;
		}
	}
	body > section:last-of-type {
		view-timeline-name: --sign-off;
	}

	.sig path {
		-webkit-animation: draw both linear;
				animation: draw both linear;
		animation-timeline: --sign-off;
		animation-range: entry 20% entry 80%;
	}
	.sig :is(.eye, .nose) {
		-webkit-animation: draw both linear, fill both linear;
				animation: draw both linear, fill both linear;
		animation-timeline: --sign-off;
	}
	.sig :is(.ear, .eye) {
		animation-range: entry 30% entry 90%;
	}
	.sig .nose {
		animation-range: entry 40% entry 100%;
	}
	@-webkit-keyframes draw {
		to {
			stroke-dashoffset: 0;
		}
	}
	@keyframes draw {
		to {
			stroke-dashoffset: 0;
		}
	}
	@-webkit-keyframes fill {
		to {
			fill: currentColor;
		}
	}
	@keyframes fill {
		to {
			fill: currentColor;
		}
	}
}

.theme-toggle {
	color: var(--color);
	position: fixed;
	top: 1rem;
	right: 1rem;
	width: 48px;
	aspect-ratio: 1;
	padding: 0;
	border: 0;
	display: grid;
	place-items: center;
	border-radius: 12px;
	background: transparent;
	transition: background 0.2s;
	cursor: pointer;
	z-index: 10;
}

.theme-toggle::after {
	content: "";
	position: absolute;
	inset: 0;
	border-radius: 12px;
	background: hsl(0 0% 50% / calc(var(--intent, 0) * 0.25));
}

.theme-toggle:is(:hover, :focus-visible) {
	--intent: 1;
}

/*.dark .theme-toggle:is(:hover, :focus-visible) {
	background: hsl(0 0% 30%);
}*/

.theme-toggle[aria-pressed='true'] svg path:last-of-type {
	display: block;
}

.theme-toggle svg {
	color: currentColor;
	width: 50%;
}

.theme-toggle[aria-pressed='true'] svg path:first-of-type,
.theme-toggle svg path:last-of-type {
	display: none;
}

::view-transition-group(root) {
	-webkit-animation-duration: 1.25s;
			animation-duration: 1.25s;
}
::view-transition-new(root),
::view-transition-old(root) {
	mix-blend-mode: normal;
}

::view-transition-new(root) {
	-webkit-animation-name: reveal-light;
			animation-name: reveal-light;
}

::view-transition-old(root),
.dark::view-transition-old(root) {
	-webkit-animation: none;
			animation: none;
}
.dark::view-transition-new(root) {
	-webkit-animation-name: reveal-dark;
			animation-name: reveal-dark;
}

@-webkit-keyframes reveal-dark {
	from {
		-webkit-clip-path: polygon(-30% 0, -30% 0, -15% 100%, -10% 115%);
				clip-path: polygon(-30% 0, -30% 0, -15% 100%, -10% 115%);
	}
	to {
		-webkit-clip-path: polygon(-30% 0, 130% 0, 115% 100%, -10% 115%);
				clip-path: polygon(-30% 0, 130% 0, 115% 100%, -10% 115%);
	}
}

@keyframes reveal-dark {
	from {
		-webkit-clip-path: polygon(-30% 0, -30% 0, -15% 100%, -10% 115%);
				clip-path: polygon(-30% 0, -30% 0, -15% 100%, -10% 115%);
	}
	to {
		-webkit-clip-path: polygon(-30% 0, 130% 0, 115% 100%, -10% 115%);
				clip-path: polygon(-30% 0, 130% 0, 115% 100%, -10% 115%);
	}
}

@-webkit-keyframes reveal-light {
	from {
		-webkit-clip-path: polygon(130% 0, 130% 0, 115% 100%, 110% 115%);
				clip-path: polygon(130% 0, 130% 0, 115% 100%, 110% 115%);
	}
	to {
		-webkit-clip-path: polygon(130% 0, -30% 0, -15% 100%, 110% 115%);
				clip-path: polygon(130% 0, -30% 0, -15% 100%, 110% 115%);
	}
}

@keyframes reveal-light {
	from {
		-webkit-clip-path: polygon(130% 0, 130% 0, 115% 100%, 110% 115%);
				clip-path: polygon(130% 0, 130% 0, 115% 100%, 110% 115%);
	}
	to {
		-webkit-clip-path: polygon(130% 0, -30% 0, -15% 100%, 110% 115%);
				clip-path: polygon(130% 0, -30% 0, -15% 100%, 110% 115%);
	}
}



@media only screen and (max-width: 480px) {
	
:root {
	--font-size: clamp(1.7rem, 5vmin + 1rem, 1rem);
	}	
.bb-logo-front {
	width: 45dvw;
	}
.into-the-light {
	width: 65dvw;
	bottom: 6rem;
	}	
ul.front-links a {
	font-size: .95rem;
	white-space: nowrap;
	}	
.blog-title-snip {
	max-width: calc(100dvw - 2em);
	}		
.see-blog a {
	font-size: 1.2rem;
	}	
.see-blog div {
	font-size: .9rem;
	}	
.we-are-blackbird .image {
	width: 40dvw;
	}
.founders-container {
	grid-template-columns: auto;
	grid-template-rows: 1fr 1fr 1fr;
	padding: 0 calc(30dvw - 10px);
	}	
}	
